> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Creates a new user for the specified install.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json post /v1/installs/{installSid}/users
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/users:
    post:
      tags:
        - User
      summary: Create User
      description: Creates a new user for the specified install.
      operationId: postV1InstallsInstallsidUsers
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/User'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
components:
  schemas:
    User:
      type: object
      properties:
        firstName:
          type: string
          description: First Name
        lastName:
          type: string
          description: Last Name
        email:
          type: string
          description: Email
          x-format:
            email: true
        preferredEmail:
          type: string
          description: Preferred Email
          x-format:
            email: true
        homePhone:
          type: string
          description: Home Phone
          nullable: true
        mobilePhone:
          type: string
          description: Mobile Phone
          nullable: true
        currencyCode:
          type: string
          description: Currency code
          x-constraint:
            length: 3
        timeZoneSid:
          type: string
          description: Time Zone Sid
          pattern: ^TZ[a-f0-9]{32}$
        latitude:
          type: number
          description: Location Latitude
          nullable: true
        longitude:
          type: number
          description: Location Longitude
          nullable: true
        username:
          type: string
          description: Username for user
        password:
          type: string
          description: Password for user
          pattern: >-
            ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[#$@!%&*?])[A-Za-z\d#$@!%&*?]{8,30}$
        enabled:
          type: boolean
          description: If login as this user is enabled
        lmsId:
          type: string
          description: >-
            The id for the user as defined in the LMS as defined in the LTI
            launch.
          nullable: true
        sisId:
          type: string
          description: The id for the user as defined in the SIS.
          nullable: true
        exernalId:
          type: string
          description: The id for the user as defined in any external system for tracking.
          nullable: true
      required:
        - firstName
        - lastName
        - email
    UserResponse:
      type: object
      properties:
        sid:
          type: string
          description: User SID
          nullable: true
        firstName:
          type: string
          description: First name
          nullable: true
        lastName:
          type: string
          description: Last name
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
        preferredEmail:
          type: string
          description: Preferred email
          nullable: true
        username:
          type: string
          description: Username
          nullable: true
        smarterIdEnrollmentSid:
          type: string
          description: SmarterID enrollment SID
          nullable: true
        mobilePhone:
          type: string
          description: Mobile phone
          nullable: true
        homePhone:
          type: string
          description: Home phone
          nullable: true
        address:
          type: string
          description: Address
          nullable: true
        lmsId:
          type: string
          description: LMS ID
          nullable: true
        apiId:
          type: string
          description: API ID
          nullable: true
        sisId:
          type: string
          description: SIS ID
          nullable: true
        externalId:
          type: string
          description: External ID
          nullable: true
        latitude:
          type: number
          description: Latitude
          nullable: true
        longitude:
          type: number
          description: Longitude
          nullable: true
        lastEnrollmentSync:
          type: string
          description: Last enrollment sync
          nullable: true
        currencyCode:
          type: string
          description: Currency code
          nullable: true
        timeZoneSid:
          type: string
          description: Time zone SID
          nullable: true
        timezone:
          $ref: '#/components/schemas/timezone'
        maxTravelDistance:
          type: number
          description: Max travel distance
          nullable: true
        maxTravelDistanceUnits:
          type: string
          description: Max travel distance units
          nullable: true
        createdDate:
          type: string
          description: Created date
          nullable: true
        editDate:
          type: string
          description: Edit date
          nullable: true
        freshdeskUserId:
          type: string
          description: Freshdesk user ID
          nullable: true
        role:
          type: string
          description: Role
          nullable: true
        enabled:
          type: boolean
          description: Enabled
          nullable: true
        authentication:
          $ref: '#/components/schemas/authentication'
        smarterId:
          $ref: '#/components/schemas/smarterId'
        course:
          $ref: '#/components/schemas/Model28'
        exam:
          $ref: '#/components/schemas/Model29'
        identity:
          $ref: '#/components/schemas/identity'
    timezone:
      type: object
      description: Timezone details
      nullable: true
    authentication:
      type: object
      description: Authentication data
      nullable: true
    smarterId:
      type: object
      description: SmarterID data
      nullable: true
    Model28:
      type: object
      description: Course
      nullable: true
    Model29:
      type: object
      description: Exam
      nullable: true
    identity:
      type: object
      description: Identity
      nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````